﻿#goTop{
    position: absolute;
    top: 0;
    left: 0;
}
/*--------------header-style1-----------------*/
.header-style1{
    position: fixed;
    z-index: 999;
    display: block;
    width: 100%;
    top: 0;
    background-color: #FFF;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.35);
}
.header-style1 .header-box{
    width: 100%;
    display: block;
    margin: 0 auto;
    font-size: 0;
    box-sizing: border-box;
    padding: 10px 40px;
    border-top: 6px solid #366694;
}
.header-style1 .header-logo{
    width: 300px;
    max-width: 100%;
    display: inline-block;
    position: relative;
    vertical-align: middle;
}
.header-style1 .header-menu-box{
    width: calc(100% - 300px);
    display: inline-block;
    vertical-align: middle;
    font-size: 0;
    text-align: right;
}
.header-style1 .header-menu> li{
    display: inline-block;
    vertical-align: middle;
    position: relative;
    box-sizing: border-box;
    padding: 0 18px;
}
.header-style1 .header-menu> li:last-child{
    padding-right: 0;
}
.header-style1 .header-menu> li::after{
    content: '';
    position: absolute;
    width: 1px;
    height: 12px;
    top: calc(50% - 6px);
    right: 0;
    background-color: #ccc;
}
.header-style1 .header-menu> li:last-child:after{
    display: none;
}
.header-link-box{
    display: block;
    position: absolute;
    right: 0;
    top: 0;
}

.header2.header-style2 .rwd-menu{
    background-color: #01344f;
}
.header2.header-style2 .rwd-menu span{
    background-color: #FFF;
}
.header-menu-list-box{
    position: fixed;
    width: 100%;
    top: 111px;
    max-height: calc(100vh - 111px);
    overflow-y: auto;
    left: 0;
    background-color: #f9f9f9;
    box-sizing: border-box;
    border-top: 1px solid #d1d1d1;
    text-align: left;
    box-shadow: 0 5px 5px rgba(0, 0, 0, 0.15);
    transform: translateY(-10%);
    transition: all .3s linear;
    opacity: 0;
    pointer-events: none;
}
.header-style1 .header-menu> li.header-products::before{
    content: '';
    width: 100%;
    height: 70px;
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    /* background-color: transparent; */
    opacity: 0;
    pointer-events: none;
    transition: all .3s linear;
}
.header-menu-list-all-box{
    width: 1600px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    position: relative;
    box-sizing: border-box;
    padding: 40px 0;
}
.header-menu-list-all-box>li{
    width: 25%;
    display: inline-block;
    vertical-align: top;
    box-sizing: border-box;
    padding: 0 20px;
}
.header-menu-list-all-box>li:nth-child(n + 5){
    margin-top: 40px;
}
.header-menu-list{
    width: 100%;
    font-size: 22px;
    color: #000;
    line-height: 36px;
    letter-spacing: 0.06em;
    font-family: 'Noto Sans TC';
    position: relative;
    transition: color .3s linear;
}
.header-menu-list-sec-box{
    margin-top: 10px;
}
.header-menu-list-sec-box>li{
    display: block;
    width: 100%;
}
.header-menu-list-sec{
    width: 100%;
    font-size: 16px;
    color: #000;
    font-weight: 300;
    line-height: 30px;
    letter-spacing: 0.06em;
    font-family: 'Noto Sans TC';
    position: relative;
    transition: color .3s linear;
}
.header-menu-list-sec::after{
    content: '';
    position: absolute;
    width: 0%;
    height: 2px;
    bottom: -3px;
    left: 0;
    background-color: #366694;
    transition: all .3s linear;
}
.header-technology-menu-list-box{
    position: absolute;
    top: calc(100% + 34px);
    right: 0;
    width: 200px;
    display: block;
    background-color: #f9f9f9;
    box-sizing: border-box;
    padding: 10px 0;
    border-top: 1px solid #d1d1d1;
    text-align: left;
    box-shadow: 0 5px 5px rgba(0, 0, 0, 0.15);
    transform: translateY(-10%);
    transition: all .3s linear;
    opacity: 0;
    pointer-events: none;
}
.header-style1 .header-menu> li.header-technology::before{
    content: '';
    width: 100%;
    height: 70px;
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    /* background-color: transparent; */
    opacity: 0;
    pointer-events: none;
    transition: all .3s linear;
}
.header-technology-menu-list-box > li{
    width: 100%;
    display: block;
    text-align: center;
    transition: all .3s linear;
}
.header-technology-menu-list{
    font-size: 16px;
    color: #000;
    box-sizing: border-box;
    padding: 5px 0;
    display: block;
    font-weight: 300;
    letter-spacing: 0.06em;
    font-family: 'Noto Sans TC';
    position: relative;
    transition: color .3s linear;
}

div.header-menu-title{
    cursor: context-menu;
}
.header-menu-title{
    font-size: 16px;
    color: #000;
    display: block;
    font-weight: 300;
    line-height: 36px;
    letter-spacing: 0.06em;
    font-family: 'Noto Sans TC';
    position: relative;
    transition: color .3s linear;
}
.header-menu-title::after{
    content: '';
    position: absolute;
    width: 0%;
    height: 2px;
    bottom: -5px;
    left: 0;
    background-color: #366694;
    transition: all .3s linear;
}


.rwd-menu-list-back{
    display: none;
}
.mask{
    width: 100%;
    height: 100vh;
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    background-color: rgba(0, 0, 0, 0.7);
}

.mask.active{
    display: block;
}

.rwd-menu{
    width: 25px;
    max-width: 100%;
    position: absolute;
    right: 20px;
    z-index: 99999;
    display: none;
    top: calc(50% - 17px);
}
.rwd-menu span{
    width: 100%;
    display: block;
    margin: 10px auto;
    height: 2px;
    background-color: #366694;
    position: relative;
    transition: all .3s ease;
}
.rwd-menu.active span:nth-child(1){
    transform-origin: right;
    transform: rotateZ(-45deg) translateY(-3px);
}
.rwd-menu.active span:nth-child(2){
    transform-origin: right;
    transform: rotateZ(45deg) translateY(4px);
}


/*------------------------------------------*/

@media only screen and (max-width: 1000px){
    .header-style1 .header-box{
        padding: 5px 20px;
    }
    .rwd-menu{
        display: block;
    }
    .header-style1 .rwd-menu{
        display: block;
    }
    .header-style1 .header-logo{
        width: 70px;
    }

    .rwd-header-menu-sytle1 .header-menu{
        width: 100%;
        position: fixed;
        top: 79px;
        left: 0;
        z-index: 3;
        background-color: #f5f5f5;
        transition: none;
        display: none;
        box-shadow: 0 3px 5px rgba(0, 0, 0, 0.15);
        max-height: calc(100vh - 79px);
        overflow-y: auto;
    }
   
    .rwd-header-menu-sytle1 .header-menu> li{
        display: block;
        text-align: center;
        padding: 0;
        border-bottom: 1px solid #d1d1d1;
    }
    .header-menu-title{
        line-height: 46px;
    }
    .rwd-header-menu-sytle1 .header-menu> li::after{
        display: none;
    }
    .rwd-header-menu-sytle1 .header-menu> li:first-child{
        border-top: 1px solid #d1d1d1;
    }
    .header-style1 .header-menu> li.active{
        background-color: #366694;
    }
    .header-style1 .header-menu> li.active .header-menu-title{
        color: #fff;
    }
    .header-menu-list-box{
        top: 79px;
        max-height: calc(100vh - 79px);
        transform: translateY(10%);
    }
    .header-menu-list-box.open{
        opacity: 1;
        pointer-events: all;
        transform: translateY(0%);
        z-index: 9;
    }
    .header-menu-list-all-box{
        padding: 20px 0;
    }
    .header-menu-list-all-box>li:nth-child(n){
        width: 100%;
        margin-top: 0;
        margin-bottom: 20px;
    }
    .header-menu-list-all-box>li:last-child{
        margin-bottom: 0;
    }
    .header-technology-menu-list-box{
        width: 100%;
        position: static;
        opacity: 1;
        pointer-events: all;
        transform: translateY(0%);
        box-shadow: none;
        border: none;
        border-top: 1px solid #ddd;
        padding: 5px 0;
        display: none;
        transition: none;
    }
    .header-technology-menu-list{
        font-size: 14px;
        line-height: 30px;
    }
}
@media only screen and (max-width: 550px){
    .header-style1 .header-box{
        padding: 5px 10px;
        border-top: 3px solid #366694;
    }
    .header-style1 .header-logo{
        width: 60px;
    }
    .rwd-header-menu-sytle1 .header-menu{
        top: 67px;
    }
    .header-menu-title{
        line-height: 36px;
    }
    .header-menu-list-box{
        top: 67px;
        max-height: calc(100vh - 67px);
    }
    .header-menu-list{
        font-size: 18px;
        line-height: 30px;
    }
    .header-menu-list-sec{
        font-size: 14px;
        line-height: 26px;
    }
}




/*animation*/
/*<-------------動畫------------->*/
@media only screen and (min-width: 1001px){
    .header-style1 .header-menu> li.active .header-menu-title,
    .header-menu-title:hover{
        color: #366694;
        font-weight: 400;
    }
    .header-style1 .header-menu> li.active .header-menu-title::after,
    .header-menu-title:hover::after{
        width: 100%;
    }
    
    .header-style1 .header-menu> li.header-products:hover::before,
    .header-style1 .header-menu> li.header-products:hover .header-technology-menu-list-box,
    .header-style1 .header-menu> li.header-technology:hover::before,
    .header-style1 .header-menu> li.header-technology:hover .header-technology-menu-list-box{
        opacity: 1;
        transform: translateY(0);
        pointer-events: all;
    }
    .header-menu-list:hover{
        color: #366694;
    }
    .header-menu-list-sec:hover::after{
        width: 100%;
    }
    .header-technology-menu-list-box>li:hover {
        background-color: #366694;
    }
    .header-technology-menu-list-box>li:hover .header-technology-menu-list{
        color: #fff;
    }
}

